Function
reserve
Increases the capacity.
This function allows to increase the capacity but not the length of a container.
Note: Use resize if you want to change the size of a container.
Size reserve(object, new_capacity [, resize_tag])
Include Headers
seqan/sequence.h
Parameters

object | A container. Types: Block String, Packed String, Packed String, std::basic_string, std::list, std::vector, String, thrust::device_vector, UnionFind
new_capacity | The new capacity object will get.
resize_tag | Specifies the strategy that is applied for changing the capacity. (optional) Types: Overflow Strategy Default: Specified by DefaultOverflowExplicit.

Remarks
For STL Adaptions, reserve is only guaranteed to have the specified behaviour with Insist and Generous.
At the end of the operation, capacity(me) can be larger than new_capacity. If new_capacity is smaller than capacity(me) at the beginning of the operation, the operation need not to change the capacity at all.
This operation does not changes the content of object.
For STL Adaptions, reserve is only guaranteed to have the specified behaviour with Insist and Generous.
For STL Adaptions, reserve is only guaranteed to have the specified behaviour with Insist and Generous.
Note: This operation may invalidate iterators of object.
Return Values
The amount of the requested capacity that was available. That is the function returns the minimum of new_capacity and capacity(me).
Metafunctions: Size
Member of
String, std::basic_string, std::vector, thrust::device_vector, Block String, UnionFind, std::list
Part of Concept
ContainerConcept
See Also
capacity, shrinkToFit, resize
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58